Bug 835931 - [abrt] goldendict-1.0.1-4.fc16: __GI_raise: Process /usr/bin/goldendict was killed by signal 6 (SIGABRT)
[abrt] goldendict-1.0.1-4.fc16: __GI_raise: Process /usr/bin/goldendict was k...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: goldendict (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Howard Ning
Fedora Extras Quality Assurance
abrt_hash:2d01ab1b9828ff3e5b8eaf94160...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 10:49 EDT by Kamil Páral
Modified: 2013-08-01 01:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:19:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (123.51 KB, text/plain)
2012-06-27 10:49 EDT, Kamil Páral
no flags Details
File: maps (69.58 KB, text/plain)
2012-06-27 10:49 EDT, Kamil Páral
no flags Details
File: dso_list (14.90 KB, text/plain)
2012-06-27 10:49 EDT, Kamil Páral
no flags Details
File: build_ids (5.93 KB, text/plain)
2012-06-27 10:49 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2012-06-27 10:49:27 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        goldendict -session 10eaa51509e6e9860d134018789276759400000010320056_1340624724_948673
comment:        I typed a word (don't know which one, but it worked after I started the program again, so it's not a reproducer) into the search bar and hit Enter.
crash_function: __GI_raise
executable:     /usr/bin/goldendict
kernel:         3.4.3-1.fc17.x86_64
pid:            12482
pwd:            /home/kparal
time:           Út 26. červen 2012, 17:08:46 CEST
uid:            1000
username:       kparal
var_log_messages: Jun 26 17:08:48 localhost abrt[18814]: Saved core dump of pid 12482 (/usr/bin/goldendict) to /var/spool/abrt/ccpp-2012-06-26-17:08:46-12482 (1197461504 bytes)

backtrace:      Text file, 126477 bytes
build_ids:      Text file, 6068 bytes
dso_list:       Text file, 15257 bytes
maps:           Text file, 71254 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/kparal/56

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 abort libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7568b __libc_message libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7b616 malloc_printerr libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7e8b8 _int_realloc libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x80355 realloc libc.so.6 -
:26684bcb047791e0142dc37216a3e7effad04ffb 0x99016 QListData::realloc(int) libQtCore.so.4 -
:26684bcb047791e0142dc37216a3e7effad04ffb 0x990c7 QListData::append(int) libQtCore.so.4 -
:26684bcb047791e0142dc37216a3e7effad04ffb 0x941a2 - libQtCore.so.4 -
:26684bcb047791e0142dc37216a3e7effad04ffb 0xb7ed9 QRegExp::capturedTexts() libQtCore.so.4 -
:26684bcb047791e0142dc37216a3e7effad04ffb 0xb8034 QRegExp::cap(int) libQtCore.so.4 -
:26684bcb047791e0142dc37216a3e7effad04ffb 0xb8099 QRegExp::cap(int) libQtCore.so.4 -
:9d0ea82379d7cc42d2266284b063cfd4d16793f0 0x10fb60 - [exe] -
:9d0ea82379d7cc42d2266284b063cfd4d16793f0 0x110541 - [exe] -
:26684bcb047791e0142dc37216a3e7effad04ffb 0x6f27d - libQtCore.so.4 -
:26684bcb047791e0142dc37216a3e7effad04ffb 0x7b5eb - libQtCore.so.4 -
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x7d14 start_thread libpthread.so.0 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xf199d clone libc.so.6 -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=56
:HOSTNAME=medusa
:SHELL=/bin/bash
:HISTSIZE=10000
:GNOME_KEYRING_CONTROL=/run/user/kparal/keyring-3O2KMu
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=kparal
:HISTFILESIZE=10000
:USERNAME=kparal
:_JAVA_OPTIONS=-Dawt.useSystemAAFontSettings=on
:LIBVIRT_DEFAULT_URI=qemu:///system
:MAIL=/var/spool/mail/kparal
:PATH=/home/kparal/.local/bin:/home/kparal/.local/bin:/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin
:DESKTOP_SESSION=gnome
:PWD=/home/kparal
:EDITOR=vim
:GNOME_KEYRING_PID=12325
:LANG=cs_CZ.UTF-8
:KDE_IS_PRELINKED=1
:PYTHONSTARTUP=/home/kparal/.config/python/pythonrc
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoreboth
:XDG_SEAT=seat0
:HOME=/home/kparal
:SHLVL=1
:LOGNAME=kparal
:'LESS=--ignore-case --RAW-CONTROL-CHARS --quit-if-one-screen --no-init'
:PYTHONPATH=/home/kparal/.local/lib/python/
:QTLIB=/usr/lib64/qt-3.3/lib
:VISUAL=vim
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-q6EcBTFO4L,guid=b6875f3edb72f7a43dbeff8900003614
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/kparal
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-kparal-0BMYLp/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/12332,unix/unix:/tmp/.ICE-unix/12332
:GPG_AGENT_INFO=/run/user/kparal/keyring-3O2KMu/gpg:0:1
:SSH_AUTH_SOCK=/run/user/kparal/keyring-3O2KMu/ssh
:DESKTOP_AUTOSTART_ID=10eaa51509e6e9860d134018789276759400000010320056

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62792                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62792                62792                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/kparal/.xsession-errors
:pos:	1233331
:flags:	0102002
:2:/home/kparal/.xsession-errors
:pos:	1233331
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[200887]
:pos:	0
:flags:	02004000
:5:pipe:[200887]
:pos:	0
:flags:	02004001
:6:socket:[200916]
:pos:	0
:flags:	02004002
:7:socket:[200343]
:pos:	0
:flags:	02004002
:8:socket:[201298]
:pos:	0
:flags:	02004002
:9:socket:[201335]
:pos:	0
:flags:	02000002
:10:/tmp/qtsingleapp-Golden-86bf-3e8-lockfile
:pos:	0
:flags:	02100002
:11:socket:[201345]
:pos:	0
:flags:	02000002
:12:socket:[202796]
:pos:	0
:flags:	02004002
:13:/home/kparal/.goldendict/index/d01f6337fc9e5421f6510bd63e389af7
:pos:	1208320
:flags:	0100000
:14:/usr/share/stardict/dic/czen.dict.dz
:pos:	851968
:flags:	0100000
:15:/home/kparal/.goldendict/index/26351cd4eab75af1115489615532b0f8
:pos:	311296
:flags:	0100000
:16:/usr/share/stardict/dic/encz.dict.dz
:pos:	544768
:flags:	0100000
:17:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:18:socket:[201872]
:pos:	0
:flags:	02004002
:19:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:20:socket:[943340]
:pos:	0
:flags:	02004002
:21:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:22:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:23:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:24:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:25:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:26:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:27:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:28:socket:[1050044]
:pos:	0
:flags:	02004002
:29:socket:[1053085]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:Obecné
:=================================
:UUID: 8cab88c8-67c8-4d0e-b0cc-4ca1ed648814
:OS: Fedora release 17 (Beefy Miracle)
:Výchozí startovací úroveň: Unknown
:Jazyk: cs_CZ.UTF-8
:Platfoma: x86_64
:BogoMIPS: 5582.12
:Výrobce CPU: GenuineIntel
:Model CPU: Intel(R) Core(TM) i7-2640M CPU @ 2.80GHz
:CPU Stepping: 7
:CPU Family: 6
:Číslo modelu CPU: 42
:Počet CPU: 4
:Rychlost CPU: 2801
:Systémová paměť: 7870
:Systémový odkládací prostor: 2047
:Výrobce: LENOVO
:Systém: 4291EJ3 ThinkPad X220
:Formát desky: Notebook
:Jádro: 3.4.3-1.fc17.x86_64
:SELinux povolen: 0
:SELinux politika: targeted
:SELinux vynucen: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Zařízení
:=================================
:(32902:7247:6058:8666) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4147:404:6058:8666) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:294:6058:8666) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7196:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:7192:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8666) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7202:6058:8666) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:133:32902:4881) pci, iwlwifi, NETWORK, Centrino Advanced-N 6205 AGN
:(4480:59426:6058:8666) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(32902:7171:6058:8666) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:6058:8666) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:6058:8666) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8666) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8666) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Informace o souborovém systému
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg-lv_root / ext4 4096 4096 26172811 3831174 2629337 6553600 6076049 6076049
:/dev/sda2 /boot ext4 4096 4096 191306 171550 161950 48000 47972 47972
:/dev/sda1 WITHHELD vfat 4096 4096 51145 51080 51080 0 0 0
:

xsession_errors:
:*** glibc detected *** goldendict: realloc(): invalid next size: 0x00007feb30002ff0 ***
:goldendict[0x50fb60]
:goldendict[0x510541]
:00400000-005e5000 r-xp 00000000 fd:02 3671263                            /usr/bin/goldendict
:007e5000-007e9000 rw-p 001e5000 fd:02 3671263                            /usr/bin/goldendict
:009e8000-00a41000 rw-p 001e8000 fd:02 3671263                            /usr/bin/goldendict
:7feb96333000-7feb96343000 r--p 00000000 fd:02 3801404                    /usr/share/goldendict/locale/cs_CZ.qm
Comment 1 Kamil Páral 2012-06-27 10:49:32 EDT
Created attachment 594808 [details]
File: backtrace
Comment 2 Kamil Páral 2012-06-27 10:49:34 EDT
Created attachment 594809 [details]
File: maps
Comment 3 Kamil Páral 2012-06-27 10:49:37 EDT
Created attachment 594810 [details]
File: dso_list
Comment 4 Kamil Páral 2012-06-27 10:49:39 EDT
Created attachment 594811 [details]
File: build_ids
Comment 5 Fedora End Of Life 2013-07-03 21:09:34 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 01:19:37 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.